XCB: XCB Res API

XCB 1.17.0

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
XCB Res API

Res XCB Protocol Implementation. More...

## Data Structures
struct | xcb_res_client_t
| xcb_res_client_t More...
struct | xcb_res_client_iterator_t
| xcb_res_client_iterator_t More...
struct | xcb_res_type_t
| xcb_res_type_t More...
struct | xcb_res_type_iterator_t
| xcb_res_type_iterator_t More...
struct | xcb_res_client_id_spec_t
| xcb_res_client_id_spec_t More...
struct | xcb_res_client_id_spec_iterator_t
| xcb_res_client_id_spec_iterator_t More...
struct | xcb_res_client_id_value_t
| xcb_res_client_id_value_t More...
struct | xcb_res_client_id_value_iterator_t
| xcb_res_client_id_value_iterator_t More...
struct | xcb_res_resource_id_spec_t
| xcb_res_resource_id_spec_t More...
struct | xcb_res_resource_id_spec_iterator_t
| xcb_res_resource_id_spec_iterator_t More...
struct | xcb_res_resource_size_spec_t
| xcb_res_resource_size_spec_t More...
struct | xcb_res_resource_size_spec_iterator_t
| xcb_res_resource_size_spec_iterator_t More...
struct | xcb_res_resource_size_value_t
| xcb_res_resource_size_value_t More...
struct | xcb_res_resource_size_value_iterator_t
| xcb_res_resource_size_value_iterator_t More...
struct | xcb_res_query_version_cookie_t
| xcb_res_query_version_cookie_t More...
struct | xcb_res_query_version_request_t
| xcb_res_query_version_request_t More...
struct | xcb_res_query_version_reply_t
| xcb_res_query_version_reply_t More...
struct | xcb_res_query_clients_cookie_t
| xcb_res_query_clients_cookie_t More...
struct | xcb_res_query_clients_request_t
| xcb_res_query_clients_request_t More...
struct | xcb_res_query_clients_reply_t
| xcb_res_query_clients_reply_t More...
struct | xcb_res_query_client_resources_cookie_t
| xcb_res_query_client_resources_cookie_t More...
struct | xcb_res_query_client_resources_request_t
| xcb_res_query_client_resources_request_t More...
struct | xcb_res_query_client_resources_reply_t
| xcb_res_query_client_resources_reply_t More...
struct | xcb_res_query_client_pixmap_bytes_cookie_t
| xcb_res_query_client_pixmap_bytes_cookie_t More...
struct | xcb_res_query_client_pixmap_bytes_request_t
| xcb_res_query_client_pixmap_bytes_request_t More...
struct | xcb_res_query_client_pixmap_bytes_reply_t
| xcb_res_query_client_pixmap_bytes_reply_t More...
struct | xcb_res_query_client_ids_cookie_t
| xcb_res_query_client_ids_cookie_t More...
struct | xcb_res_query_client_ids_request_t
| xcb_res_query_client_ids_request_t More...
struct | xcb_res_query_client_ids_reply_t
| xcb_res_query_client_ids_reply_t More...
struct | xcb_res_query_resource_bytes_cookie_t
| xcb_res_query_resource_bytes_cookie_t More...
struct | xcb_res_query_resource_bytes_request_t
| xcb_res_query_resource_bytes_request_t More...
struct | xcb_res_query_resource_bytes_reply_t
| xcb_res_query_resource_bytes_reply_t More...

## Macros
#define | XCB_RES_MAJOR_VERSION 1
#define | XCB_RES_MINOR_VERSION 2
#define | XCB_RES_QUERY_VERSION 0
#define | XCB_RES_QUERY_CLIENTS 1
#define | XCB_RES_QUERY_CLIENT_RESOURCES 2
#define | XCB_RES_QUERY_CLIENT_PIXMAP_BYTES 3
#define | XCB_RES_QUERY_CLIENT_IDS 4
#define | XCB_RES_QUERY_RESOURCE_BYTES 5

## Typedefs
typedef struct xcb_res_client_t | xcb_res_client_t
| xcb_res_client_t
typedef struct xcb_res_client_iterator_t | xcb_res_client_iterator_t
| xcb_res_client_iterator_t
typedef struct xcb_res_type_t | xcb_res_type_t
| xcb_res_type_t
typedef struct xcb_res_type_iterator_t | xcb_res_type_iterator_t
| xcb_res_type_iterator_t
typedef enum xcb_res_client_id_mask_t | xcb_res_client_id_mask_t
typedef struct xcb_res_client_id_spec_t | xcb_res_client_id_spec_t
| xcb_res_client_id_spec_t
typedef struct xcb_res_client_id_spec_iterator_t | xcb_res_client_id_spec_iterator_t
| xcb_res_client_id_spec_iterator_t
typedef struct xcb_res_client_id_value_t | xcb_res_client_id_value_t
| xcb_res_client_id_value_t
typedef struct xcb_res_client_id_value_iterator_t | xcb_res_client_id_value_iterator_t
| xcb_res_client_id_value_iterator_t
typedef struct xcb_res_resource_id_spec_t | xcb_res_resource_id_spec_t
| xcb_res_resource_id_spec_t
typedef struct xcb_res_resource_id_spec_iterator_t | xcb_res_resource_id_spec_iterator_t
| xcb_res_resource_id_spec_iterator_t
typedef struct xcb_res_resource_size_spec_t | xcb_res_resource_size_spec_t
| xcb_res_resource_size_spec_t
typedef struct xcb_res_resource_size_spec_iterator_t | xcb_res_resource_size_spec_iterator_t
| xcb_res_resource_size_spec_iterator_t
typedef struct xcb_res_resource_size_value_t | xcb_res_resource_size_value_t
| xcb_res_resource_size_value_t
typedef struct xcb_res_resource_size_value_iterator_t | xcb_res_resource_size_value_iterator_t
| xcb_res_resource_size_value_iterator_t
typedef struct xcb_res_query_version_cookie_t | xcb_res_query_version_cookie_t
| xcb_res_query_version_cookie_t
typedef struct xcb_res_query_version_request_t | xcb_res_query_version_request_t
| xcb_res_query_version_request_t
typedef struct xcb_res_query_version_reply_t | xcb_res_query_version_reply_t
| xcb_res_query_version_reply_t
typedef struct xcb_res_query_clients_cookie_t | xcb_res_query_clients_cookie_t
| xcb_res_query_clients_cookie_t
typedef struct xcb_res_query_clients_request_t | xcb_res_query_clients_request_t
| xcb_res_query_clients_request_t
typedef struct xcb_res_query_clients_reply_t | xcb_res_query_clients_reply_t
| xcb_res_query_clients_reply_t
typedef struct xcb_res_query_client_resources_cookie_t | xcb_res_query_client_resources_cookie_t
| xcb_res_query_client_resources_cookie_t
typedef struct xcb_res_query_client_resources_request_t | xcb_res_query_client_resources_request_t
| xcb_res_query_client_resources_request_t
typedef struct xcb_res_query_client_resources_reply_t | xcb_res_query_client_resources_reply_t
| xcb_res_query_client_resources_reply_t
typedef struct xcb_res_query_client_pixmap_bytes_cookie_t | xcb_res_query_client_pixmap_bytes_cookie_t
| xcb_res_query_client_pixmap_bytes_cookie_t
typedef struct xcb_res_query_client_pixmap_bytes_request_t | xcb_res_query_client_pixmap_bytes_request_t
| xcb_res_query_client_pixmap_bytes_request_t
typedef struct xcb_res_query_client_pixmap_bytes_reply_t | xcb_res_query_client_pixmap_bytes_reply_t
| xcb_res_query_client_pixmap_bytes_reply_t
typedef struct xcb_res_query_client_ids_cookie_t | xcb_res_query_client_ids_cookie_t
| xcb_res_query_client_ids_cookie_t
typedef struct xcb_res_query_client_ids_request_t | xcb_res_query_client_ids_request_t
| xcb_res_query_client_ids_request_t
typedef struct xcb_res_query_client_ids_reply_t | xcb_res_query_client_ids_reply_t
| xcb_res_query_client_ids_reply_t
typedef struct xcb_res_query_resource_bytes_cookie_t | xcb_res_query_resource_bytes_cookie_t
| xcb_res_query_resource_bytes_cookie_t
typedef struct xcb_res_query_resource_bytes_request_t | xcb_res_query_resource_bytes_request_t
| xcb_res_query_resource_bytes_request_t
typedef struct xcb_res_query_resource_bytes_reply_t | xcb_res_query_resource_bytes_reply_t
| xcb_res_query_resource_bytes_reply_t

## Enumerations
enum | xcb_res_client_id_mask_t { XCB_RES_CLIENT_ID_MASK_CLIENT_XID = 1 , XCB_RES_CLIENT_ID_MASK_LOCAL_CLIENT_PID = 2 }

## Functions
void | xcb_res_client_next (xcb_res_client_iterator_t *i)
xcb_generic_iterator_t | xcb_res_client_end (xcb_res_client_iterator_t i)
void | xcb_res_type_next (xcb_res_type_iterator_t *i)
xcb_generic_iterator_t | xcb_res_type_end (xcb_res_type_iterator_t i)
void | xcb_res_client_id_spec_next (xcb_res_client_id_spec_iterator_t *i)
xcb_generic_iterator_t | xcb_res_client_id_spec_end (xcb_res_client_id_spec_iterator_t i)
int | xcb_res_client_id_value_sizeof (const void *_buffer)
uint32_t * | xcb_res_client_id_value_value (const xcb_res_client_id_value_t *R)
int | xcb_res_client_id_value_value_length (const xcb_res_client_id_value_t *R)
xcb_generic_iterator_t | xcb_res_client_id_value_value_end (const xcb_res_client_id_value_t *R)
void | xcb_res_client_id_value_next (xcb_res_client_id_value_iterator_t *i)
xcb_generic_iterator_t | xcb_res_client_id_value_end (xcb_res_client_id_value_iterator_t i)
void | xcb_res_resource_id_spec_next (xcb_res_resource_id_spec_iterator_t *i)
xcb_generic_iterator_t | xcb_res_resource_id_spec_end (xcb_res_resource_id_spec_iterator_t i)
void | xcb_res_resource_size_spec_next (xcb_res_resource_size_spec_iterator_t *i)
xcb_generic_iterator_t | xcb_res_resource_size_spec_end (xcb_res_resource_size_spec_iterator_t i)
int | xcb_res_resource_size_value_sizeof (const void *_buffer)
xcb_res_resource_size_spec_t * | xcb_res_resource_size_value_cross_references (const xcb_res_resource_size_value_t *R)
int | xcb_res_resource_size_value_cross_references_length (const xcb_res_resource_size_value_t *R)
xcb_res_resource_size_spec_iterator_t | xcb_res_resource_size_value_cross_references_iterator (const xcb_res_resource_size_value_t *R)
void | xcb_res_resource_size_value_next (xcb_res_resource_size_value_iterator_t *i)
xcb_generic_iterator_t | xcb_res_resource_size_value_end (xcb_res_resource_size_value_iterator_t i)
xcb_res_query_version_cookie_t | xcb_res_query_version (xcb_connection_t *c, uint8_t client_major, uint8_t client_minor)
xcb_res_query_version_cookie_t | xcb_res_query_version_unchecked (xcb_connection_t *c, uint8_t client_major, uint8_t client_minor)
xcb_res_query_version_reply_t * | xcb_res_query_version_reply (xcb_connection_t *c, xcb_res_query_version_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_res_query_clients_sizeof (const void *_buffer)
xcb_res_query_clients_cookie_t | xcb_res_query_clients (xcb_connection_t *c)
xcb_res_query_clients_cookie_t | xcb_res_query_clients_unchecked (xcb_connection_t *c)
xcb_res_client_t * | xcb_res_query_clients_clients (const xcb_res_query_clients_reply_t *R)
int | xcb_res_query_clients_clients_length (const xcb_res_query_clients_reply_t *R)
xcb_res_client_iterator_t | xcb_res_query_clients_clients_iterator (const xcb_res_query_clients_reply_t *R)
xcb_res_query_clients_reply_t * | xcb_res_query_clients_reply (xcb_connection_t *c, xcb_res_query_clients_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_res_query_client_resources_sizeof (const void *_buffer)
xcb_res_query_client_resources_cookie_t | xcb_res_query_client_resources (xcb_connection_t *c, uint32_t xid)
xcb_res_query_client_resources_cookie_t | xcb_res_query_client_resources_unchecked (xcb_connection_t *c, uint32_t xid)
xcb_res_type_t * | xcb_res_query_client_resources_types (const xcb_res_query_client_resources_reply_t *R)
int | xcb_res_query_client_resources_types_length (const xcb_res_query_client_resources_reply_t *R)
xcb_res_type_iterator_t | xcb_res_query_client_resources_types_iterator (const xcb_res_query_client_resources_reply_t *R)
xcb_res_query_client_resources_reply_t * | xcb_res_query_client_resources_reply (xcb_connection_t *c, xcb_res_query_client_resources_cookie_t cookie, xcb_generic_error_t **e)
xcb_res_query_client_pixmap_bytes_cookie_t | xcb_res_query_client_pixmap_bytes (xcb_connection_t *c, uint32_t xid)
xcb_res_query_client_pixmap_bytes_cookie_t | xcb_res_query_client_pixmap_bytes_unchecked (xcb_connection_t *c, uint32_t xid)
xcb_res_query_client_pixmap_bytes_reply_t * | xcb_res_query_client_pixmap_bytes_reply (xcb_connection_t *c, xcb_res_query_client_pixmap_bytes_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_res_query_client_ids_sizeof (const void *_buffer)
xcb_res_query_client_ids_cookie_t | xcb_res_query_client_ids (xcb_connection_t *c, uint32_t num_specs, const xcb_res_client_id_spec_t *specs)
xcb_res_query_client_ids_cookie_t | xcb_res_query_client_ids_unchecked (xcb_connection_t *c, uint32_t num_specs, const xcb_res_client_id_spec_t *specs)
int | xcb_res_query_client_ids_ids_length (const xcb_res_query_client_ids_reply_t *R)
xcb_res_client_id_value_iterator_t | xcb_res_query_client_ids_ids_iterator (const xcb_res_query_client_ids_reply_t *R)
xcb_res_query_client_ids_reply_t * | xcb_res_query_client_ids_reply (xcb_connection_t *c, xcb_res_query_client_ids_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_res_query_resource_bytes_sizeof (const void *_buffer)
xcb_res_query_resource_bytes_cookie_t | xcb_res_query_resource_bytes (xcb_connection_t *c, uint32_t client, uint32_t num_specs, const xcb_res_resource_id_spec_t *specs)
xcb_res_query_resource_bytes_cookie_t | xcb_res_query_resource_bytes_unchecked (xcb_connection_t *c, uint32_t client, uint32_t num_specs, const xcb_res_resource_id_spec_t *specs)
int | xcb_res_query_resource_bytes_sizes_length (const xcb_res_query_resource_bytes_reply_t *R)
xcb_res_resource_size_value_iterator_t | xcb_res_query_resource_bytes_sizes_iterator (const xcb_res_query_resource_bytes_reply_t *R)
xcb_res_query_resource_bytes_reply_t * | xcb_res_query_resource_bytes_reply (xcb_connection_t *c, xcb_res_query_resource_bytes_cookie_t cookie, xcb_generic_error_t **e)

## Variables
xcb_extension_t | xcb_res_id

## Detailed Description

Res XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_RES_QUERY_CLIENT_IDS

#define XCB_RES_QUERY_CLIENT_IDS 4

Opcode for xcb_res_query_client_ids.

## ◆ XCB_RES_QUERY_CLIENT_PIXMAP_BYTES

#define XCB_RES_QUERY_CLIENT_PIXMAP_BYTES 3

Opcode for xcb_res_query_client_pixmap_bytes.

## ◆ XCB_RES_QUERY_CLIENT_RESOURCES

#define XCB_RES_QUERY_CLIENT_RESOURCES 2

Opcode for xcb_res_query_client_resources.

## ◆ XCB_RES_QUERY_CLIENTS

#define XCB_RES_QUERY_CLIENTS 1

Opcode for xcb_res_query_clients.

## ◆ XCB_RES_QUERY_RESOURCE_BYTES

#define XCB_RES_QUERY_RESOURCE_BYTES 5

Opcode for xcb_res_query_resource_bytes.

## ◆ XCB_RES_QUERY_VERSION

#define XCB_RES_QUERY_VERSION 0

Opcode for xcb_res_query_version.

## Function Documentation

## ◆ xcb_res_client_end()

xcb_generic_iterator_t xcb_res_client_end | ( | xcb_res_client_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_res_client_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_res_client_id_spec_end()

xcb_generic_iterator_t xcb_res_client_id_spec_end | ( | xcb_res_client_id_spec_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_res_client_id_spec_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_res_client_id_spec_next()

void xcb_res_client_id_spec_next | ( | xcb_res_client_id_spec_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_res_client_id_spec_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_res_client_id_spec_t)

## ◆ xcb_res_client_id_value_end()

xcb_generic_iterator_t xcb_res_client_id_value_end | ( | xcb_res_client_id_value_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_res_client_id_value_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, xcb_generic_iterator_t::rem, and xcb_res_client_id_value_next().

## ◆ xcb_res_client_id_value_next()

void xcb_res_client_id_value_next | ( | xcb_res_client_id_value_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_res_client_id_value_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_res_client_id_value_t)

References xcb_generic_iterator_t::data.

Referenced by xcb_res_client_id_value_end().

## ◆ xcb_res_client_next()

void xcb_res_client_next | ( | xcb_res_client_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_res_client_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_res_client_t)

## ◆ xcb_res_query_client_ids()

xcb_res_query_client_ids_cookie_t xcb_res_query_client_ids | ( | xcb_connection_t * | c,
|  | uint32_t | num_specs,
|  | const xcb_res_client_id_spec_t * | specs
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RES_QUERY_CLIENT_IDS.

## ◆ xcb_res_query_client_ids_reply()

xcb_res_query_client_ids_reply_t * xcb_res_query_client_ids_reply | ( | xcb_connection_t * | c,
|  | xcb_res_query_client_ids_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_res_query_client_ids_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_res_query_client_ids_unchecked()

xcb_res_query_client_ids_cookie_t xcb_res_query_client_ids_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | num_specs,
|  | const xcb_res_client_id_spec_t * | specs
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RES_QUERY_CLIENT_IDS.

## ◆ xcb_res_query_client_pixmap_bytes()

xcb_res_query_client_pixmap_bytes_cookie_t xcb_res_query_client_pixmap_bytes | ( | xcb_connection_t * | c,
|  | uint32_t | xid
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RES_QUERY_CLIENT_PIXMAP_BYTES.

## ◆ xcb_res_query_client_pixmap_bytes_reply()

xcb_res_query_client_pixmap_bytes_reply_t * xcb_res_query_client_pixmap_bytes_reply | ( | xcb_connection_t * | c,
|  | xcb_res_query_client_pixmap_bytes_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_res_query_client_pixmap_bytes_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_res_query_client_pixmap_bytes_unchecked()

xcb_res_query_client_pixmap_bytes_cookie_t xcb_res_query_client_pixmap_bytes_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | xid
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RES_QUERY_CLIENT_PIXMAP_BYTES.

## ◆ xcb_res_query_client_resources()

xcb_res_query_client_resources_cookie_t xcb_res_query_client_resources | ( | xcb_connection_t * | c,
|  | uint32_t | xid
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RES_QUERY_CLIENT_RESOURCES.

## ◆ xcb_res_query_client_resources_reply()

xcb_res_query_client_resources_reply_t * xcb_res_query_client_resources_reply | ( | xcb_connection_t * | c,
|  | xcb_res_query_client_resources_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_res_query_client_resources_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_res_query_client_resources_unchecked()

xcb_res_query_client_resources_cookie_t xcb_res_query_client_resources_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | xid
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RES_QUERY_CLIENT_RESOURCES.

## ◆ xcb_res_query_clients()

xcb_res_query_clients_cookie_t xcb_res_query_clients | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RES_QUERY_CLIENTS.

## ◆ xcb_res_query_clients_reply()

xcb_res_query_clients_reply_t * xcb_res_query_clients_reply | ( | xcb_connection_t * | c,
|  | xcb_res_query_clients_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_res_query_clients_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_res_query_clients_unchecked()

xcb_res_query_clients_cookie_t xcb_res_query_clients_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RES_QUERY_CLIENTS.

## ◆ xcb_res_query_resource_bytes()

xcb_res_query_resource_bytes_cookie_t xcb_res_query_resource_bytes | ( | xcb_connection_t * | c,
|  | uint32_t | client,
|  | uint32_t | num_specs,
|  | const xcb_res_resource_id_spec_t * | specs
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RES_QUERY_RESOURCE_BYTES.

## ◆ xcb_res_query_resource_bytes_reply()

xcb_res_query_resource_bytes_reply_t * xcb_res_query_resource_bytes_reply | ( | xcb_connection_t * | c,
|  | xcb_res_query_resource_bytes_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_res_query_resource_bytes_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_res_query_resource_bytes_unchecked()

xcb_res_query_resource_bytes_cookie_t xcb_res_query_resource_bytes_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | client,
|  | uint32_t | num_specs,
|  | const xcb_res_resource_id_spec_t * | specs
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RES_QUERY_RESOURCE_BYTES.

## ◆ xcb_res_query_version()

xcb_res_query_version_cookie_t xcb_res_query_version | ( | xcb_connection_t * | c,
|  | uint8_t | client_major,
|  | uint8_t | client_minor
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RES_QUERY_VERSION.

## ◆ xcb_res_query_version_reply()

xcb_res_query_version_reply_t * xcb_res_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_res_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_res_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_res_query_version_unchecked()

xcb_res_query_version_cookie_t xcb_res_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | client_major,
|  | uint8_t | client_minor
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RES_QUERY_VERSION.

## ◆ xcb_res_resource_id_spec_end()

xcb_generic_iterator_t xcb_res_resource_id_spec_end | ( | xcb_res_resource_id_spec_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_res_resource_id_spec_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_res_resource_id_spec_next()

void xcb_res_resource_id_spec_next | ( | xcb_res_resource_id_spec_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_res_resource_id_spec_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_res_resource_id_spec_t)

## ◆ xcb_res_resource_size_spec_end()

xcb_generic_iterator_t xcb_res_resource_size_spec_end | ( | xcb_res_resource_size_spec_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_res_resource_size_spec_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_res_resource_size_spec_next()

void xcb_res_resource_size_spec_next | ( | xcb_res_resource_size_spec_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_res_resource_size_spec_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_res_resource_size_spec_t)

## ◆ xcb_res_resource_size_value_end()

xcb_generic_iterator_t xcb_res_resource_size_value_end | ( | xcb_res_resource_size_value_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_res_resource_size_value_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, xcb_generic_iterator_t::rem, and xcb_res_resource_size_value_next().

## ◆ xcb_res_resource_size_value_next()

void xcb_res_resource_size_value_next | ( | xcb_res_resource_size_value_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_res_resource_size_value_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_res_resource_size_value_t)

References xcb_generic_iterator_t::data.

Referenced by xcb_res_resource_size_value_end().

## ◆ xcb_res_type_end()

xcb_generic_iterator_t xcb_res_type_end | ( | xcb_res_type_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_res_type_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_res_type_next()

void xcb_res_type_next | ( | xcb_res_type_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_res_type_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_res_type_t)